part of masamune.form;

class UIPageChangeReauth extends PageHookWidget with UIPageFormMixin {
  const UIPageChangeReauth();

  @override
  Widget build(BuildContext context) {
    final formKey = useFormKey();

    return Scaffold(
      appBar: AppBar(
        title: Text(
          "Reauthentication".localize(),
        ),
      ),
      body: ChangeEmailForm(key: formKey),
      floatingActionButton: FloatingActionButton(
        child: const Icon(Icons.check),
        onPressed: () {
          if (!validate(context, formKey)) {
            return;
          }
          context.navigator
              .pushReplacementNamed(context.get("redirect_to", "/"));
        },
      ),
    );
  }
}
